Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.transformer
Class XQueryTransformer.PooledXQueryTransformerFactory

    java.lang.Object
      org.apache.commons.pool.BasePoolableObjectFactory
          org.mule.module.xml.transformer.XQueryTransformer.PooledXQueryTransformerFactory

All Implemented Interfaces:
  PoolableObjectFactory

Enclosing class:
  XQueryTransformer

    protected class XQueryTransformer.PooledXQueryTransformerFactory

extends BasePoolableObjectFactory

Constructor Summary
`protected` | `XQueryTransformer.PooledXQueryTransformerFactory()`

Method Summary
`void` | `destroyObject(Object o)`
`Object` | `makeObject()`

Methods inherited from class org.apache.commons.pool.BasePoolableObjectFactory
`activateObject, passivateObject, validateObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQueryTransformer.PooledXQueryTransformerFactory

    protected XQueryTransformer.PooledXQueryTransformerFactory()

Method Detail

### makeObject

    public Object makeObject()
                      throws Exception

  Specified by:
    `makeObject` in interface `PoolableObjectFactory`
  Specified by:
    `makeObject` in class `BasePoolableObjectFactory`
  Throws:
    `Exception`

### destroyObject

    public void destroyObject(Object o)
                       throws Exception

  Specified by:
    `destroyObject` in interface `PoolableObjectFactory`
  Overrides:
    `destroyObject` in class `BasePoolableObjectFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.